-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Kbd) AppleWebKit/537.10+ (KHTML, like Gecko) Version/10.1.0.1200 Mobile Safari/537.10+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.10' }, os: { name: BlackBerry, version: '10.1' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'Q series or Passport' } }
    readable: 'a BlackBerry Q series or Passport running BlackBerry 10.1'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Kbd) AppleWebKit/537.10+ (KHTML, like Gecko) Version/10.1.0.2009 Mobile Safari/537.10+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.10' }, os: { name: BlackBerry, version: '10.1' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'Q series or Passport' } }
    readable: 'a BlackBerry Q series or Passport running BlackBerry 10.1'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Kbd) AppleWebKit/537.10+ (KHTML, like Gecko) Version/10.1.0.4846 Mobile Safari/537.10+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.10' }, os: { name: BlackBerry, version: '10.1' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'Q series or Passport' } }
    readable: 'a BlackBerry Q series or Passport running BlackBerry 10.1'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Kbd) AppleWebKit/537.10+ (KHTML, like Gecko) Version/10.1.0.809 Mobile Safari/537.10+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.10' }, os: { name: BlackBerry, version: '10.1' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'Q series or Passport' } }
    readable: 'a BlackBerry Q series or Passport running BlackBerry 10.1'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Kbd) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.2.0.1157 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.2' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'Q series or Passport' } }
    readable: 'a BlackBerry Q series or Passport running BlackBerry 10.2'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Kbd) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.2.0.1809 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.2' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'Q series or Passport' } }
    readable: 'a BlackBerry Q series or Passport running BlackBerry 10.2'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Kbd) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.2.1.1055 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.2' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'Q series or Passport' } }
    readable: 'a BlackBerry Q series or Passport running BlackBerry 10.2'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Kbd) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.2.1.1925 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.2' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'Q series or Passport' } }
    readable: 'a BlackBerry Q series or Passport running BlackBerry 10.2'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Kbd) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.2.1.3247 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.2' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'Q series or Passport' } }
    readable: 'a BlackBerry Q series or Passport running BlackBerry 10.2'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Kbd) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.2.1.641 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.2' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'Q series or Passport' } }
    readable: 'a BlackBerry Q series or Passport running BlackBerry 10.2'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Kbd) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.3.0.1034 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.3' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'Q series or Passport' } }
    readable: 'a BlackBerry Q series or Passport running BlackBerry 10.3'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Kbd) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.3.0.1337 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.3' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'Q series or Passport' } }
    readable: 'a BlackBerry Q series or Passport running BlackBerry 10.3'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Kbd) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.3.0.242 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.3' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'Q series or Passport' } }
    readable: 'a BlackBerry Q series or Passport running BlackBerry 10.3'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Touch) AppleWebKit/537.10+ (KHTML, like Gecko) Version/10.0.0.1337 Mobile Safari/537.10+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.10' }, os: { name: BlackBerry, version: '10.0' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'A or Z series' } }
    readable: 'a BlackBerry A or Z series running BlackBerry 10.0'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Touch) AppleWebKit/537.10+ (KHTML, like Gecko) Version/10.0.10.684 Mobile Safari/537.10+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.10' }, os: { name: BlackBerry, version: '10.0' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'A or Z series' } }
    readable: 'a BlackBerry A or Z series running BlackBerry 10.0'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Touch) AppleWebKit/537.10+ (KHTML, like Gecko) Version/10.0.9.1425 Mobile Safari/537.10+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.10' }, os: { name: BlackBerry, version: '10.0' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'A or Z series' } }
    readable: 'a BlackBerry A or Z series running BlackBerry 10.0'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Touch) AppleWebKit/537.10+ (KHTML, like Gecko) Version/10.1.0.1483 Mobile Safari/537.10+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.10' }, os: { name: BlackBerry, version: '10.1' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'A or Z series' } }
    readable: 'a BlackBerry A or Z series running BlackBerry 10.1'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Touch) AppleWebKit/537.10+ (KHTML, like Gecko) Version/10.1.0.2074 Mobile Safari/537.10+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.10' }, os: { name: BlackBerry, version: '10.1' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'A or Z series' } }
    readable: 'a BlackBerry A or Z series running BlackBerry 10.1'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Touch) AppleWebKit/537.10+ (KHTML, like Gecko) Version/10.1.0.4780 Mobile Safari/537.10+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.10' }, os: { name: BlackBerry, version: '10.1' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'A or Z series' } }
    readable: 'a BlackBerry A or Z series running BlackBerry 10.1'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Touch) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.2.0.1221 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.2' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'A or Z series' } }
    readable: 'a BlackBerry A or Z series running BlackBerry 10.2'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Touch) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.2.0.1803 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.2' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'A or Z series' } }
    readable: 'a BlackBerry A or Z series running BlackBerry 10.2'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Touch) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.2.1.1037 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.2' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'A or Z series' } }
    readable: 'a BlackBerry A or Z series running BlackBerry 10.2'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Touch) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.2.1.2141 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.2' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'A or Z series' } }
    readable: 'a BlackBerry A or Z series running BlackBerry 10.2'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Touch) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.3.0.746 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.3' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'A or Z series' } }
    readable: 'a BlackBerry A or Z series running BlackBerry 10.3'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Touch) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.3.0.884 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.3' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'A or Z series' } }
    readable: 'a BlackBerry A or Z series running BlackBerry 10.3'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; Touch) AppleWebKit/537.35+ (KHTML, like Gecko) Version/10.3.1.407 Mobile Safari/537.35+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '537.35' }, os: { name: BlackBerry, version: '10.3' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: 'A or Z series' } }
    readable: 'a BlackBerry A or Z series running BlackBerry 10.3'
-
    headers: 'User-Agent: Mozilla/5.0 (BlackBerry) AppleWebKit/536.2+ (KHTML, like Gecko) Version/10.0.6.384 Mobile Safari/536.2+'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit, version: '536.2' }, os: { name: BlackBerry, version: '10.0' }, device: { type: mobile, subtype: smart, manufacturer: RIM, model: BlackBerry } }
    readable: 'a RIM BlackBerry running BlackBerry 10.0'
-
    headers: 'User-Agent: Mozilla/5.0 (BB10; STL100-2) AppleWebKit/BB10 (KHTML, like Gecko) Version/BB10 Mobile Safari/BB10sdemobile-app'
    result: { browser: { name: 'BlackBerry Browser' }, engine: { name: Webkit }, os: { name: BlackBerry, version: '10' }, device: { type: mobile, subtype: smart, manufacturer: BlackBerry, model: Z10 } }
    readable: 'a BlackBerry Z10 running BlackBerry 10'
